%define tarversion 2_8_0

# threads
# values: pthreads, none
%define threads pthreads

Name: xerces-c
Version: 2.8.0
Release: alt1

Summary: Xerces-C++ validating XML parser
Url: http://xml.apache.org/xerces-c/
Packager: Eugene Ostapets <eostapets@altlinux.ru>

Source: %name-src_%tarversion.tar.gz
Patch0: %name-src_2_6_0-lsattr.patch
License: Apache
Group: System/Libraries

# Automatically added by buildreq on Wed Mar 09 2005
BuildRequires: gcc-c++ libstdc++-devel

%description
Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

The parser provides high performance, modularity, and scalability. Source
code, samples and API documentation are provided with the parser. For
portability, care has been taken to make minimal use of templates, no RTTI,
and minimal use of #ifdefs.

%package devel
Requires: xerces-c = %version
Group: System/Libraries
Summary: Header files for Xerces-C++ validating XML parser

%description devel
Header files you can use to develop XML applications with Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%package doc
Group: System/Libraries
Summary: Documentation for Xerces-C++ validating XML parser

%description doc
Documentation for Xerces-C++.

Xerces-C++ is a validating XML parser written in a portable subset of C++.
Xerces-C++ makes it easy to give your application the ability to read and
write XML data. A shared library is provided for parsing, generating,
manipulating, and validating XML documents.

%prep
%setup -q -n %name-src_%tarversion
%patch0 -p1

%build
export XERCESCROOT=$RPM_BUILD_DIR/%name-src_%tarversion
cd $XERCESCROOT/src/xercesc
./runConfigure -plinux -cgcc -xg++ -minmem -nsocket -tnative -r%threads -P%prefix
make
cd $XERCESCROOT/samples
./runConfigure -plinux -cgcc -xg++
make

%install
export XERCESCROOT=$RPM_BUILD_DIR/%name-src_%tarversion
cd $XERCESCROOT/src/xercesc
make PREFIX=%buildroot%prefix install
if [ ! -x %buildroot%_libdir ] ; then
    mv %buildroot/usr/lib %buildroot%_libdir
fi
mkdir -p %buildroot%_bindir
#we don't want obj directory
install `find $XERCESCROOT/bin -type f -maxdepth 1` %buildroot%_bindir
mkdir -p %buildroot%_datadir/%name
cp -a $XERCESCROOT/samples %buildroot%_datadir/%name

%post -p %post_ldconfig

%postun -p %post_ldconfig

%files
%_bindir/*
%_libdir/libxerces-c.so*
%_libdir/libxerces-depdom.so*

%files devel
%dir %_includedir/xercesc
%_includedir/xercesc/*
%dir %_datadir/%name/samples
%_datadir/%name/samples/*

%files doc
%doc LICENSE NOTICE STATUS credits.txt Readme.html doc/

%changelog
* Fri Mar 07 2008 Eugene Ostapets <eostapets@altlinux.ru> 2.8.0-alt1
- new version 2.8.0

* Fri Nov 17 2006 Eugene Ostapets <eostapets@altlinux.ru> 2.7.0-alt1
- new version 2.7.0

* Wed Mar 09 2005 Denis Klykvin <nikon@altlinux.ru> 2.6.0-alt1
- Spec cleanup

* Fri Jun  6 2003 Tuan Hoang <tqhoang@bigfoot.com>
- updated for new Xerces-C filename and directory format
- fixed date format in changelog section

* Fri Mar 14 2003 Tinny Ng <tng@ca.ibm.com>
- changed to 2.3

* Wed Dec 18 2002 Albert Strasheim <albert@stonethree.com>
- added symlink to libxerces-c.so in lib directory

* Fri Dec 13 2002 Albert Strasheim <albert@stonethree.com>
- added seperate doc package
- major cleanups

* Tue Sep 03 2002  <thomas@linux.de>
- fixed missing DESTDIR in Makefile.util.submodule

* Mon Sep 02 2002  <thomas@linux.de>
- Initial build.
